# LClosure Struct Reference

`#include <lua/lobject.h>`

Collaboration diagram for LClosure:
[legend]

## Data Fields

GCObject * | next
lu_byte | tt
lu_byte | marked
lu_byte | isC
lu_byte | nupvalues
GCObject * | gclist
struct Table * | env
struct Proto * | p
UpVal * | upvals [1]

## Detailed Description

Definition at line 302 of file lobject.h.

## Field Documentation

GCObject* LClosure::next

Definition at line 303 of file lobject.h.

lu_byte LClosure::tt

Definition at line 303 of file lobject.h.

lu_byte LClosure::marked

Definition at line 303 of file lobject.h.

lu_byte LClosure::isC

Definition at line 303 of file lobject.h.

Referenced by luaD_precall(), and luaF_newLclosure().

lu_byte LClosure::nupvalues

Definition at line 303 of file lobject.h.

Referenced by luaF_freeclosure(), luaF_newLclosure(), propagatemark(), and traverseclosure().

GCObject* LClosure::gclist

Definition at line 303 of file lobject.h.

struct Table* LClosure::env `[read]`

Definition at line 303 of file lobject.h.

Referenced by luaF_newLclosure(), and luaV_execute().

struct Proto* LClosure::p `[read]`

Definition at line 304 of file lobject.h.

Referenced by aux_upvalue(), collectvalidlines(), f_parser(), funcinfo(), luaD_precall(), luaV_execute(), and traverseclosure().

UpVal* LClosure::upvals[1]

Definition at line 305 of file lobject.h.

Referenced by aux_upvalue(), f_parser(), luaF_newLclosure(), luaV_execute(), and traverseclosure().

The documentation for this struct was generated from the following file:

- lua/lobject.h